---@diagnostic disable: missing-return, lowercase-global
---@meta

---@param name string
---@return number zoneChannel
---@return string channelName
---Joins a channel, saving associated chat window settings
---@overload fun(name: string, password: string)
---@overload fun(name: string, password: string, chatFrameIndex: number)
---@overload fun(name: string, password: string, chatFrameIndex: number, enableVoice: boolean)
function JoinPermanentChannel(name, password, chatFrameIndex, enableVoice) end
